Skip to content

Upload file data source

POST
/api/v1/projects/{project_id}/sources/file

Parses an uploaded file using the project's platform adapter, stores the original file and a snapshot in S3, and creates content items for each parsed product.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Request Body

multipart/form-data
object
string |null

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"project_id": "string",
  
"type": "string",
  
"name": "string",
  
"config": {
  
  
"additionalProperties": "string"
  
},
  
"status": "string",
  
"item_count": 0,
  
"last_synced_at": "string",
  
"error_message": "string",
  
"created_at": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI